<?php

namespace Assetdocs\Incidentreport\Repositories\Eloquent;

use Assetdocs\Incidentreport\Interfaces\IncidentreportRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class IncidentreportRepository extends BaseRepository implements IncidentreportRepositoryInterface
{
    /**
     * Booting the repository.
     *
     * @return null
     */
    public function boot()
    {
        $this->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        $this->fieldSearchable = config('package.incidentreport.incidentreport.search');
        return config('package.incidentreport.incidentreport.model');
    }
}
