<?php

return [

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Incidentreport',
    'names'         => 'Incidentreports',

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['Show','Hide'],
            'asset_type'          => ['Owned','Rented','Third party'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'ref'                        => 'Please enter ref',
        'division_id'                => 'Please enter division id',
        'asset_id'                   => 'Please enter asset id',
        'damagepercentage'           => 'Please enter damagepercentage',
        'damagedetails'              => 'Please enter damagedetails',
        'status'                     => 'Please select status',
        'statusdate'                 => 'Please select statusdate',
        'employee_id'                => 'Please enter employee id',
        'externalname'               => 'Please enter externalname',
        'externalmobile'             => 'Please enter externalmobile',
        'usedby_id'                  => 'Please enter usedby id',
        'custodian_id'               => 'Please enter custodian id',
        'asset_type'                 => 'Please select asset type',
        'action'                     => 'Please enter action',
        'slug'                       => 'Please enter slug',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
        'image'                      => 'Please enter image',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'ref'                        => 'Ref',
        'division_id'                => 'Division id',
        'asset_id'                   => 'Asset id',
        'damagepercentage'           => 'Damagepercentage',
        'damagedetails'              => 'Damagedetails',
        'status'                     => 'Status',
        'statusdate'                 => 'Statusdate',
        'employee_id'                => 'Employee id',
        'externalname'               => 'Externalname',
        'externalmobile'             => 'Externalmobile',
        'usedby_id'                  => 'Usedby id',
        'custodian_id'               => 'Custodian id',
        'asset_type'                 => 'Asset type',
        'action'                     => 'Action',
        'slug'                       => 'Slug',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
        'image'                      => 'Image',
        'status'                     => 'Status',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Name',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
